Configure: error: Could not link against boost_system-mt

Arch user here. I'm trying to build zcashd as a user from my home directory.

checking for boostlib >= 1.20.0... yes
checking whether the Boost::System library is available... yes
checking for exit in -lboost_system-mt... no
configure: error: Could not link against boost_system-mt

Any help would be appreciated.

1 Like

I'm having the same problem. Did you manage to fix this and get it to build?

I must have mistyped when I searched for the package and that's why I tried to build from source. After seeking help from other Arch users, I realized that it's in the communty repo, so it installed correctly from there.

Whats the package name you installed?

I've got boost and boost-libs

Edit...

I found the arch post you made. I see you just installed zcash pkg

Just found this >>>

boost-no-mt-suffix.patch

https://git.archlinux.org/svntogit/community.git/tree/trunk?h=packages/zcash

1 Like